//*******************************************************
//
//	KTR-10
//
//	LCD AQM1602Y
//
//	2023.5.28	KAWAKAMI Yukio
//*******************************************************
#ifndef	defined_LCD_H
#define	defined_LCD_H

#define		CURSOR_OFF	0
#define		CURSOR_UL	1
#define		CURSOR_BL	2

#define	I2C_LCD_ADRS	0x3E

#include <stdint.h>

void locate(int x, int y);
void cls(void);
void cursor(int type);
void print(const char *str);
void lcd_putc(uint8_t c);
void lcd_contrast(uint8_t contrast);

void LCD_init(void);
void LCD_command(uint8_t com);
void LCD_command8(uint8_t com);
void LCD_data(uint8_t data);
void LCD_wait_BUSY(void);
void LCD_wait(void);

#endif	// defined_LCD_H
